# set term pngcairo size 540,360
# set term pop

# set style increment user

set term svg size 750,650 enhanced

set style line 1 lt 1 lc rgb "#5e9c36" lw 1.5 pt 64 ps 0.75
set style line 2 lt 2 lc rgb "#5e9c36" lw 1.5 pt 65 ps 0.75
set style line 3 lt 3 lc rgb "#5e9c36" lw 1.5 pt 66 ps 0.75
set style line 4 lt 4 lc rgb "#5e9c36" lw 1.5 pt 67 ps 0.75
set style line 5 lt 5 lc rgb "#5e9c36" lw 1.5 pt 68 ps 0.75
set style line 6 lt 6 lc rgb "#5e9c36" lw 1.5 pt 69 ps 0.75
set style line 7 lt 7 lc rgb "#5e9c36" lw 1.5 pt 70 ps 0.75

# set grid
set xtics font "Helvetica, 12"
set ytics font "Helvetica, 12"
# set xlabel font "{/Times:Italic}, 20"
# set ylabel font "{/Times:Italic}, 20"
set xlabel font "Times, 20"
set ylabel font "Times, 20"
# set grid linestyle 4
 
set format x "%.1f"
set xlabel "Num. nodes"
set xrange [0.5:2.5]
set yrange [0.0:1.5]
set ylabel ""

##################################################################################
# Convergence of the vertical displacement 
# at the mid-point of the free edge of the Cook's wedge
##################################################################################

set output "Convergence vertical displacement.svg"
set xrange [8:4500]
set yrange [10:25]
set format y "%.1f"
set ylabel "|u_y| (m)"
set ytics 1.0
set title "Convergence of the vertical displacement"
unset key
set key on inside right bottom width -5 box spacing 1.00 font "Helvetica, 12"

set logscale x

plot "./reference_results.txt" using 1:2 with points ls 8 ps 0.75 title "ALL-3I", \
"./reference_results.txt" using 1:3 with points ls 9 ps 0.75 title "ALL-3M", \
"./reference_results.txt" using 1:4 with points ls 10 ps 0.75 title "ALL-EX", \
"./reference_results.txt" using 1:5 with points ls 11 ps 0.75 title "ALL-LS", \
"./reference_results.txt" using 1:6 with points ls 12 ps 0.75 title "CST", \
"./reference_results.txt" using 1:7 with points ls 13 ps 0.75 title "FF84", \
"./reference_results.txt" using 1:8 with points ls 14 ps 0.75 title "LST-Ret", \
"./reference_results.txt" using 1:9 with linespoints ps 0.75 title "OPT", \
"./reference_results.txt" using 1:10 with points ls 15 ps 0.75 title "FFQ", \
"./reference_results.txt" using 1:11 with points ls 16 ps 0.75 title "HL", \
"./reference_results.txt" using 1:12 with points ls 17 ps 0.75 title "HG", \
"./reference_results.txt" using 1:13 with points ls 18 ps 0.75 title "Q4", \
"./reference_results.txt" using 1:14 with points ls 19 ps 0.75 title "Q6", \
"./reference_results.txt" using 1:15 with points ls 20 ps 0.75 title "QM6", \
23.956 lt 2 lc rgb "black" title "OPT extrapolated theoretical value", \
"./results.txt" using 1:2 with linespoints ls 1 title "DKT riangle", \
"./results.txt" using 1:6 with linespoints ls 3 title "Drilling rotation triangle", \
"./results.txt" using 1:10 with linespoints ls 5 title "Quadratic triangle", \
"./results.txt" using 1:12 with linespoints ls 6 title "Linear quadrilateral", \
"./results.txt" using 1:14 with linespoints ls 7 title "Quadratic quadrilateral"

# "./results.txt" using 1:4 with linespoints ls 2 title columnhead(4), \
# "./results.txt" using 1:8 with linespoints ls 4 title columnhead(8), \

set output "Convergence Shell (top) stress Sy.svg"
set xrange [8:4500]
set yrange [0.03:0.15]
set format y "%.2f"
set ylabel "{/Symbol \s}_y (Pa)"
set ytics 0.01
set title "Convergence of the shell (top) stress Sx"
plot "./results.txt" using 1:3 with linespoints ls 1 lc black title "DKT triangle", \
"./results.txt" using 1:7 with linespoints ls 3 lc black title "Drilling rotation triangle", \
"./results.txt" using 1:11 with linespoints ls 5 lc black title "Quadratic triangle", \
"./results.txt" using 1:13 with linespoints ls 6 lc black title "Linear quadrilateral", \
"./results.txt" using 1:15 with linespoints ls 7 lc black title "Quadratic quadrilateral"

#"./results.txt" using 1:5 with linespoints ls 2 lc black title columnhead(5), \
#"./results.txt" using 1:9 with linespoints ls 4 lc black title columnhead(9), \

set term pop





